<template>
  <div class='app'>
    <!--周报录入-->
    <div>
      <a-button @click='handleReload' style='position: absolute;z-index: 300;right: 40px;top: 45px' type='primary'>
        刷新
      </a-button>

      <weekly-list-project-compent :model='model' @onLoadMore='onLoadMore' :loadingMore='loadingMore' @reload='handleReload' :show-load-model='true' />
    </div>
  </div>

</template>

<script>
import { deleteAction, getAction, postAction, putAction } from '@api/manage'

import WeeklyListProjectCompent from '@views/week/modules/WeeklyListProjectCompent'

export default {
  name: 'RightProjectWeekly',
  components: { WeeklyListProjectCompent },
  props: {
    xm: {
      type: String,
      default: '',
      required: true
    }
  },
  watch: {
    xm: {
      deep: true,
      handler() {
        this.page = 1
        this.model.result = []
        this.onLoadMore()
      }
    }
  },
  data() {
    return {
      loading: false,
      loadingMore: false,
      showLoadingMore: true,
      page:1,
      model: {
        result:[]
      },

      url: {
        addBatch: '/wek/record/addBatch'
      }
    }
  },
  created() {
    this.page = 1
    this.onLoadMore()
  },
  methods: {
    onLoadMore() {
      this.loadingMore = true
      getAction('/wek/record/queryProjectWeekly', {xm:this.xm,page:this.page}).then((res) => {
        if (res.success) {
          if (this.page == 1) {
            this.model = res
          } else {
            this.model.result = this.model.result.concat(res.result)
          }
          //有数据才添加页码
          if (res.result && res.result.length > 0) {
            this.page++
          } else {
            this.$message.warning('无更多数据')
          }

        }else {
          this.$message.warning(res.message)
        }
        this.loadingMore = false
        this.$nextTick(() => {
          window.dispatchEvent(new Event('resize'))
        })
      })

    },



    handleReload() {
      this.page = 1
      this.onLoadMore()
    }
  },
  computed: {}
}
</script>

<style lang='less' scoped>
.app {
  width: 100%;
  height: 100%;
  background: white;
  min-height: calc(100vh - 140px);


}


</style>